DefaultAutoFlushEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultAutoFlushEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractFlushingEventListener
          org.hibernate.event.internal.DefaultAutoFlushEventListener

All Implemented Interfaces:
  Serializable, AutoFlushEventListener

Direct Known Subclasses:
  EJB3AutoFlushEventListener

    public class DefaultAutoFlushEventListener

extends AbstractFlushingEventListener
implements AutoFlushEventListener

Defines the default flush event listeners used by hibernate for flushing session state in response to generated auto-flush events.

See Also:
  Serialized Form

Constructor Summary
`DefaultAutoFlushEventListener()`

Method Summary
`void` | `onAutoFlush(AutoFlushEvent event)` Handle the given auto-flush event.

Methods inherited from class org.hibernate.event.internal.AbstractFlushingEventListener
`flushEverythingToExecutions, getAnything, getCascadingAction, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAutoFlushEventListener

    public DefaultAutoFlushEventListener()

Method Detail

### onAutoFlush

    public void onAutoFlush(AutoFlushEvent event)
                     throws HibernateException

  Handle the given auto-flush event.

  Specified by:
    `onAutoFlush` in interface `AutoFlushEventListener`
  Parameters:
    `event` - The auto-flush event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.